<div class="mb-3">
  <h3
    *ngIf="name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="block.required"
  ></h3>
  <p *ngIf="description" class="text-secondary" markdown [content]="description" [context]="context"></p>
  <div class="form-check" *ngFor="let checkbox of block.props.checkboxes">
    <input
      [id]="block.key(checkbox.id)"
      [checked]="block.isChecked(checkbox)"
      [attr.aria-describedby]="block.key('explanation')"
      (change)="block.toggle(checkbox)"
      type="checkbox"
      class="form-check-input"
    />
    <label [for]="block.key(checkbox.id)" class="form-check-label"> {{ checkbox.name || "..." }} </label>
  </div>
  <div
    *ngIf="explanation"
    class="form-text"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></div>
</div>
